curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"overages": true
}'
curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"require_mfa": true
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const organization = await turso.organizations.update("mycompany", {
overages: true,
});
{
"organization": {
"name": "personal",
"slug": "iku",
"type": "personal",
"overages": false,
"require_mfa": false,
"blocked_reads": false,
"blocked_writes": false,
"plan_id": "developer",
"plan_timeline": "monthly",
"platform": "vercel",
"restore_enabled": true
}
}Organizations
Update Organization
Update an organization you own or are a member of.
PATCH
/
v1
/
organizations
/
{organizationSlug}
curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"overages": true
}'
curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"require_mfa": true
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const organization = await turso.organizations.update("mycompany", {
overages: true,
});
{
"organization": {
"name": "personal",
"slug": "iku",
"type": "personal",
"overages": false,
"require_mfa": false,
"blocked_reads": false,
"blocked_writes": false,
"plan_id": "developer",
"plan_timeline": "monthly",
"platform": "vercel",
"restore_enabled": true
}
}curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"overages": true
}'
curl -L -X PATCH https://api.turso.tech/v1/organizations/{organizationSlug} \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"require_mfa": true
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const organization = await turso.organizations.update("mycompany", {
overages: true,
});
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
Body
application/json
The updated organization details.
Enable or disable overages for the organization.
Require all members of the organization to have multi-factor authentication enabled. The requesting user must have MFA enabled on their own account before enabling this requirement.
Enable or disable deleted database and group recovery for the organization. Must be updated separately from other organization settings. Requires an admin or owner.
Response
200 - application/json
Successful response
The updated organization.
Show child attributes
Show child attributes
Was this page helpful?